Package pyplusplus :: Package decl_wrappers :: Module call_policies :: Class default_call_policies_t

# type default_call_policies_t

source code

       object --+
                |
    call_policy_t --+
                    |
                   default_call_policies_t

implements code generation for boost::python::default_call_policies

Instance Methods

__init__(self) | source code

is_default(self) return True is self is instance of default_call_policies_t class | source code

__str__(self) | source code

Inherited from `call_policy_t`: `create`, `create_template_arg`, `create_type`, `is_predefined`

Properties
Inherited from `call_policy_t`: `header_file`

Method Details

### __init__(self)
(Constructor)

source code

Overrides: call_policy_t.__init__

### is_default(self)

source code

return True is self is instance of default_call_policies_t class

Overrides: call_policy_t.is_default
  (inherited documentation)

### __str__(self)
(Informal representation operator)

source code

Overrides: object.__str__
  (inherited documentation)